summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xtests/rwx-to-mode8
1 files changed, 8 insertions, 0 deletions
diff --git a/tests/rwx-to-mode b/tests/rwx-to-mode
index 52bb5d155..39e1500b9 100755
--- a/tests/rwx-to-mode
+++ b/tests/rwx-to-mode
@@ -5,8 +5,16 @@
# FIXME: handle special bits, too.
+case $# in
+ 1) ;;
+ *) echo "$0: wrong number of arguments" 1>&2
+ echo "Usage: $0 ls-style-mode-string" 1>&2
+ exit 1;;
+esac
+
rwx=$1
u=`echo $rwx|sed 's/^.\(...\).*/\1/;s/-//g'`
g=`echo $rwx|sed 's/^....\(...\).*/\1/;s/-//g'`
o=`echo $rwx|sed 's/^.......\(...\).*/\1/;s/-//g'`
echo "=,u=$u,g=$g,o=$o"
+exit 0